System.Xml 2.0.0.0 4.0.0.0 System.Enum System.Flags

A Web Service Description Language (WSDL) file typically describes a class in XML schema language as an xsd:complex type composed of various primitive xsd:complex and xsd:simple types. When generating a .NET Framework class that represents a given xsd:complex type, you must choose how to represent the various primitive types it contains.

By default, each primitive is implemented as a field. If you specify the option, each primitive type is instead implemented as a property.

## Ordering of Serialization Code

The member instructs the code generator to create the serialization code in a specific order as determined by the Order property of the following attributes:

T:System.Xml.Serialization.XmlAnyElementAttribute T:System.Xml.Serialization.XmlArrayAttribute T:System.Xml.Serialization.XmlElementAttribute

Once the Order property has been set on one public property or field in a type, it must be applied to all public properties and fields for that type and all inherited types.

Specifies various options to use when generating .NET Framework types for use with an XML Web Service.

- Field
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlEnum("enableDataBinding")
  System.Xml.Serialization.CodeGenerationOptions

  Enables data binding.

- Field
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlEnum("newAsync")
  System.Xml.Serialization.CodeGenerationOptions

  Creates events for the asynchronous invocation of Web methods.

- Field
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlEnum("oldAsync")
  System.Xml.Serialization.CodeGenerationOptions

  Creates Begin and End methods for the asynchronous invocation of Web methods.

- Field
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlEnum("order")
  System.Xml.Serialization.CodeGenerationOptions

  Generates explicitly ordered serialization code as specified through the Order property of the , , and attributes.

- Field
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlEnum("properties")
  System.Xml.Serialization.CodeGenerationOptions

  Represents primitive types by properties.

- Field
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlIgnore
  System.Xml.Serialization.CodeGenerationOptions

  Represents primitive types by fields and primitive types by namespace types.